| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Private Member Functions | List of all members
Genfun::GaudiMathImplementation::GSL_Helper Class Reference

the simple structure to be used for adaption interface `Genfun::AbsFunction` to `gsl_function` structure More...

`#include <src/Lib/Helpers.h>`

## Public Member Functions
| GSL_Helper (const Genfun::AbsFunction &function, Genfun::Argument &argument, const size_t index)
| constructor More...
| ~GSL_Helper ()
| destructor More...

## Public Attributes
const Genfun::AbsFunction & | m_function
Genfun::Argument & | m_argument
size_t | m_index

## Private Member Functions
| GSL_Helper ()
GSL_Helper & | operator= (GSL_Helper &)

## Detailed Description

the simple structure to be used for adaption interface `Genfun::AbsFunction` to `gsl_function` structure

Author
  Vanya BELYAEV Ivam..nosp@m.Bely.nosp@m.aev@i.nosp@m.tep..nosp@m.ru

Definition at line 26 of file Helpers.h.

## Constructor & Destructor Documentation

Genfun::GaudiMathImplementation::GSL_Helper::GSL_Helper | ( | const Genfun::AbsFunction & | function,
|  | Genfun::Argument & | argument,
|  | const size_t | index
| ) |  |

constructor

Definition at line 23 of file Helpers.cpp.

Genfun::GaudiMathImplementation::GSL_Helper::~GSL_Helper | ( |  | ) |

destructor

Definition at line 33 of file Helpers.cpp.

Genfun::GaudiMathImplementation::GSL_Helper::GSL_Helper | ( |  | ) |
| private

## Member Function Documentation

GSL_Helper& Genfun::GaudiMathImplementation::GSL_Helper::operator= | ( | GSL_Helper & |  | ) |
| private

## Member Data Documentation

Genfun::Argument& Genfun::GaudiMathImplementation::GSL_Helper::m_argument

Definition at line 38 of file Helpers.h.

const Genfun::AbsFunction& Genfun::GaudiMathImplementation::GSL_Helper::m_function

Definition at line 37 of file Helpers.h.

size_t Genfun::GaudiMathImplementation::GSL_Helper::m_index

Definition at line 39 of file Helpers.h.

The documentation for this class was generated from the following files:

- GaudiGSL/src/Lib/Helpers.h
- GaudiPython/src/Lib/Helpers.cpp